package com.liquidnet.service.kylin.service.admin;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.service.kylin.dao.PerformanceAdminListDao;
import com.liquidnet.service.kylin.dao.PerformanceTitleDao;
import com.liquidnet.service.kylin.dto.param.PerformanceAdminListParam;
import com.liquidnet.service.kylin.dto.vo.partner.PerformanceMisVo;
import com.liquidnet.service.kylin.entity.KylinPerformances;

import java.util.List;

/**
 * <p>
 * 演出 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-05-05
 */
public interface IKylinPerformancesAdminService extends IService<KylinPerformances> {

    PerformanceMisVo performanceDetails(String performancesId);

    PerformanceMisVo performanceCreateDetails(String performancesId);

    PerformanceMisVo performanceUpdateDetails(String performancesId);

    boolean performanceAudit(String performancesId,int status ,String rejectTxt);

    PageInfo<PerformanceAdminListDao> getList(PerformanceAdminListParam performanceAdminListParam);

    List<PerformanceTitleDao> getListByRoadShowId(String roadShowId);

    List<PerformanceTitleDao> getListByStatus(String status);

    boolean changeRoadShowId(String performancesId,String roadShowId);
}
